## org.gnu.atk
Class AtkObject

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.AtkObject

Direct Known Subclasses:
  Accessible

public class AtkObject
extends GObject

This class is the primary class for accessibility support via the Accessibility TookKit (ATK). Objects which are instances of AtkObject are queried for properties which relate basic properties of a UI component such as name and description.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`AtkObject(Handle handle)` Construct a new AtkObject using the handle returned by a call to the native layer.

Method Summary
`boolean` `addRelationship(RelationType type, AtkObject target)` Adds a relationship of the specified type with the specified target.
`protected static boolean` `atk_object_add_relationship(Handle object, int relationship, Handle target)`
`protected static java.lang.String` `atk_object_get_description(Handle accessible)`
`protected static int` `atk_object_get_index_in_parent(Handle accessible)`
`protected static int` `atk_object_get_layer(Handle accessible)`
`protected static int` `atk_object_get_mdi_zorder(Handle accessible)`
`protected static int` `atk_object_get_n_accessible_children(Handle accessible)`
`protected static java.lang.String` `atk_object_get_name(Handle accessible)`
`protected static Handle` `atk_object_get_parent(Handle accessible)`
`protected static int` `atk_object_get_role(Handle accessible)`
`protected static int` `atk_object_get_type()`
`protected static void` `atk_object_initialize(Handle accessible, int data)`
`protected static void` `atk_object_notify_state_change(Handle accessible, int state, boolean value)`
`protected static Handle` `atk_object_ref_accessible_child(Handle accessible, int i)`
`protected static int` `atk_object_ref_relation_set(Handle accessible)`
`protected static Handle` `atk_object_ref_state_set(Handle accessible)`
`protected static void` `atk_object_remove_property_change_handler(Handle accessible, int handlerId)`
`protected static boolean` `atk_object_remove_relationship(Handle object, int relationship, Handle target)`
`protected static void` `atk_object_set_description(Handle accessible, java.lang.String description)`
`protected static void` `atk_object_set_name(Handle accessible, java.lang.String name)`
`protected static void` `atk_object_set_parent(Handle accessible, Handle parent)`
`protected static void` `atk_object_set_role(Handle accessible, int role)`
`protected static int` `atk_role_for_name(java.lang.String name)`
`protected static java.lang.String` `atk_role_get_localized_name(int role)`
`protected static java.lang.String` `atk_role_get_name(int role)`
`AtkObject` `getChild(int index)` Returns the specified child of the object.
`java.lang.String` `getDescription()` Gets the accessible description of the accessible.
`int` `getIndexInParent()` Get the index of the accessible in its parent.
`Layer` `getLayer()` Get the Layer of the accessible.
`java.lang.String` `getLocalizedRoleName(Role role)` Get the localized description describing the Role
`int` `getMDIZorder()` Get the zorder of the accessible.
`java.lang.String` `getName()` Gets the accessible name of the accessible.
`int` `getNumChildren()` Returns the number of accessible children of the accessible.
`AtkObject` `getParent()` Get the accessible parent of the accessible.
`Role` `getRole()` Gets the role of the accessible.
`Role` `getRoleForName(java.lang.String name)` Get the role corresponding to the name.
`java.lang.String` `getRoleName(Role role)` Get the description describing the Role.
`boolean` `removeRelationship(RelationType type, AtkObject target)` Removes a relationship of the specified type with the specified target.
`void` `setDescription(java.lang.String description)` Sets the accessible description of the accessible.
`void` `setName(java.lang.String name)` Sets the accessible name of the accessible.
`void` `setParent(AtkObject parent)` Sets the accessible parent of the accessible.
`void` `setRole(Role role)` Sets the role of the accessible.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtkObject

    public AtkObject(Handle handle)

  Construct a new AtkObject using the handle returned by a call to the native layer.

Parameters:
  `handle` - The handle to the native resource.

Method Detail

### getName

    public java.lang.String getName()

  Gets the accessible name of the accessible.

  Returns:
    A string representing the accessible name of the accessible.

### setName

    public void setName(java.lang.String name)

  Sets the accessible name of the accessible.

  Parameters:
    `name` - The accessible name.

### getDescription

    public java.lang.String getDescription()

  Gets the accessible description of the accessible.

  Returns:
    A string representing the accessible description of the accessible.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the accessible description of the accessible.

  Parameters:
    `description` - The accessible description.

### getParent

    public AtkObject getParent()

  Get the accessible parent of the accessible.

  Returns:
    An AtkObject representing the accessible parent of the accessible.

### setParent

    public void setParent(AtkObject parent)

  Sets the accessible parent of the accessible.

  Parameters:
    `parent` - The accessible parent.

### getNumChildren

    public int getNumChildren()

  Returns the number of accessible children of the accessible.

  Returns:
    the number of accessible children.

### getChild

    public AtkObject getChild(int index)

  Returns the specified child of the object. The index is 0 based.

  Parameters:
    `index` - The position of the child starting at 0.
  Returns:
    An AtkObject that is the child at the specified position.

### getRole

    public Role getRole()

  Gets the role of the accessible.

  Returns:
    A Role which is the role of the accessible.

### setRole

    public void setRole(Role role)

  Sets the role of the accessible.

  Parameters:
    `role` - The role to be set.

### getLayer

    public Layer getLayer()

  Get the Layer of the accessible.

### getMDIZorder

    public int getMDIZorder()

  Get the zorder of the accessible.

### getIndexInParent

    public int getIndexInParent()

  Get the index of the accessible in its parent. Returns -1 if the accessible does not have an accessible parent.

### getRoleName

    public java.lang.String getRoleName(Role role)

  Get the description describing the Role.

  Parameters:
    `role` -

### getRoleForName

    public Role getRoleForName(java.lang.String name)

  Get the role corresponding to the name.

  Parameters:
    `name` -

### addRelationship

    public boolean addRelationship(RelationType type,
                                   AtkObject target)

  Adds a relationship of the specified type with the specified target.

  Parameters:
    `type` -
    `target` -

### removeRelationship

    public boolean removeRelationship(RelationType type,
                                      AtkObject target)

  Removes a relationship of the specified type with the specified target.

  Parameters:
    `type` -
    `target` -

### getLocalizedRoleName

    public java.lang.String getLocalizedRoleName(Role role)

  Get the localized description describing the Role

  Parameters:
    `role` -

### atk_object_get_type

    protected static final int atk_object_get_type()

### atk_object_get_name

    protected static final java.lang.String atk_object_get_name(Handle accessible)

### atk_object_get_description

    protected static final java.lang.String atk_object_get_description(Handle accessible)

### atk_object_get_parent

    protected static final Handle atk_object_get_parent(Handle accessible)

### atk_object_get_n_accessible_children

    protected static final int atk_object_get_n_accessible_children(Handle accessible)

### atk_object_ref_accessible_child

    protected static final Handle atk_object_ref_accessible_child(Handle accessible,
                                                                  int i)

### atk_object_ref_relation_set

    protected static final int atk_object_ref_relation_set(Handle accessible)

### atk_object_get_role

    protected static final int atk_object_get_role(Handle accessible)

### atk_object_get_layer

    protected static final int atk_object_get_layer(Handle accessible)

### atk_object_get_mdi_zorder

    protected static final int atk_object_get_mdi_zorder(Handle accessible)

### atk_object_get_index_in_parent

    protected static final int atk_object_get_index_in_parent(Handle accessible)

### atk_object_set_name

    protected static final void atk_object_set_name(Handle accessible,
                                                    java.lang.String name)

### atk_object_set_description

    protected static final void atk_object_set_description(Handle accessible,
                                                           java.lang.String description)

### atk_object_set_parent

    protected static final void atk_object_set_parent(Handle accessible,
                                                      Handle parent)

### atk_object_set_role

    protected static final void atk_object_set_role(Handle accessible,
                                                    int role)

### atk_object_remove_property_change_handler

    protected static final void atk_object_remove_property_change_handler(Handle accessible,
                                                                          int handlerId)

### atk_object_notify_state_change

    protected static final void atk_object_notify_state_change(Handle accessible,
                                                               int state,
                                                               boolean value)

### atk_object_initialize

    protected static final void atk_object_initialize(Handle accessible,
                                                      int data)

### atk_role_get_name

    protected static final java.lang.String atk_role_get_name(int role)

### atk_role_for_name

    protected static final int atk_role_for_name(java.lang.String name)

### atk_object_add_relationship

    protected static final boolean atk_object_add_relationship(Handle object,
                                                               int relationship,
                                                               Handle target)

### atk_object_remove_relationship

    protected static final boolean atk_object_remove_relationship(Handle object,
                                                                  int relationship,
                                                                  Handle target)

### atk_role_get_localized_name

    protected static final java.lang.String atk_role_get_localized_name(int role)

### atk_object_ref_state_set

    protected static final Handle atk_object_ref_state_set(Handle accessible)